Summary:	CPU Frequency adjusting daemon.
Name:		cpuspeed
Version:	1.2.1
Release: %(R="$Revision: 1.40 $"; RR="${R##: }"; echo ${RR%%?})%{?dist}
Epoch:		1
Group:		System Environment/Base
License:	GPL
Source0:	cpuspeed-%{version}.tar.gz
Source1:	cpuspeed.init
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
BuildPreReq: 	/usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf util-linux groff gettext
ExclusiveArch:	i386 x86_64 ppc ppc64
Obsoletes:	kernel-utils

Patch1: warning.diff
Patch2: idlenice.diff
Patch3: nostrip.diff

%description
cpuspeed is a daemon that dynamically changes the speed
of your processor(s) depending upon its current workload
if it is capable (needs Intel Speedstep, AMD PowerNow!,
or similar support).

%prep
%setup -q -c -a 0

%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig

cd cpuspeed-%{version}
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie -Wl,-z,relro,-z,now"
cd ..

%install
cd cpuspeed-%{version}
install cpuspeed %{buildroot}/usr/sbin
install %{SOURCE1} %{buildroot}/etc/rc.d/init.d/cpuspeed
install cpuspeed.conf %{buildroot}/etc/cpuspeed.conf
cd ..

chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/sbin/cpuspeed
/etc/rc.d/init.d/cpuspeed
%attr(0644,root,root) %config /etc/cpuspeed.conf

%preun
if [ "$1" = "0" ] ; then
 /sbin/chkconfig --del cpuspeed
fi

%post
/sbin/chkconfig --add cpuspeed

%triggerpostun -- kernel-utils
/sbin/chkconfig --add cpuspeed
exit 0

%changelog
* Sat Jul 29 2006 Dave Jones <davej@redhat.com>
- Don't try to load acpi-cpufreq on non-ACPI machines. (#196446)

* Wed Jul 26 2006 Dave Jones <davej@redhat.com>
- Fix up retval & /var/lock/subsys/cpuspeed handling in initscript.

* Thu Jul 20 2006 Jim Paradis <jparadis@redhat.com>
- Enable on-demand governor usage for powernow-k8 as well as centrino

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:1.2.1-1.35%{dist}.1
- rebuild

* Sat Jul  1 2006 Dave Jones <davej@redhat.com>
- Fix sched_mc_power_savings warning on centrino laptops.

* Wed Jun  7 2006 Dave Jones <davej@redhat.com>
- Remove a bunch of no-longer needed gunk from the initscript.
- Use on-demand governor on centrino/core based systems for now,
  as it seems to have a better effect.

* Thu Feb 23 2006 Dave Jones <davej@redhat.com>
- Fix broken init script. (Alexandre Oliva) [#182691]
  Taking ugly shell script to the next level.

* Tue Feb 21 2006 Dave Jones <davej@redhat.com>
- Missed another occurance of the same problem I fixed yesterday.

* Mon Feb 20 2006 Dave Jones <davej@redhat.com>
- Some ACPI BIOSes start counting CPUs at 0, some at 1. *sigh*  (#181673)

* Sat Feb 11 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 14 2005 Dave Jones <davej@redhat.com>
- Don't try and load acpi-cpufreq if we have no throttling states.

* Thu Sep 29 2005 Dave Jones <davej@redhat.com>
- On shutdown, restore speed to maximum before daemon exit.

* Fri Sep 23 2005 Dave Jones <davej@redhat.com>
- Use ACPI as a fallback driver if possible, if one didn't get loaded. (#160788)

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Fix debuginfo generation.

* Wed Apr  6 2005 Dave Jones <davej@redhat.com>
- Don't count nice time as idle time. (#132383)

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Fri Feb  4 2005 Dave Jones <davej@redhat.com>
- Enable builds for PPC (#147089)

* Tue Jan 11 2005 Dave Jones <davej@redhat.com>
- Add missing Obsoletes: kernel-utils

* Mon Jan 10 2005 Dave Jones <davej@redhat.com>
- Update to upstream 1.2.1 release.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, split out from kernel-utils.

